####### This section is automatically generated from
#######    /home/hanord/qt/examples/Makefile

INCDIR	=	$(QTDIR)/include
CFLAGS	=	-O2
LFLAGS	=	-L$(QTDIR)/lib -lqt
CC	=	gcc
MOC	=	moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/examples/life/Makefile,v $
#

####### Files

HEADERS =	life.h		lifedlg.h
SOURCES =	life.cpp	lifedlg.cpp	main.cpp
OBJECTS =	life.o		lifedlg.o	main.o
SRCMETA =	mlife.cpp	mlifedlg.cpp
OBJMETA =	mlife.o		mlifedlg.o
TARGET	=	life

####### Implicit rules

.SUFFIXES: .cpp

.cpp.o:
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

####### Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMETA)
	$(CC) $(OBJECTS) $(OBJMETA) -o $(TARGET) $(LFLAGS)

depend: $(SRCMETA)
	@makedepend -I$(INCDIR) $(SOURCES) 2> /dev/null

showfiles:
	@echo $(SOURCES) $(HEADERS) Makefile

clean:
	-rm -f *.o *.bak *BAK *~ *% #*
	-rm -f $(SRCMETA) $(TARGET)

####### Meta objects

mlife.cpp: life.h
	$(MOC) -o mlife.cpp life.h

mlifedlg.cpp: lifedlg.h
	$(MOC) -o mlifedlg.cpp lifedlg.h


# DO NOT DELETE THIS LINE -- make depend depends on it.
